Package ru.bitel.bgbilling.modules.mps.server.bean

# Class MPSResponse

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.MPSResponse

    public final class MPSResponse
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `java.lang.String` | `comment` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MPSResponse​(int moduleId, java.lang.String mpsId, javax.servlet.http.HttpServletResponse response)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAction()` |
  `Contract` | `getContract()` |
  `long` | `getId()` |
  `java.util.Date` | `getLocalTime()` |
  `java.lang.String` | `getMessage()` |
  `int` | `getModuleId()` |
  `java.lang.String` | `getMpsId()` |
  `java.lang.String` | `getNumber()` |
  `java.util.Map<java.lang.String,​java.lang.Object>` | `getParameters()` |
  `javax.servlet.http.HttpServletResponse` | `getResponse()` |
  `int` | `getResult()` |
  `java.math.BigDecimal` | `getSum()` |
  `java.util.Date` | `getTime()` |
  `java.lang.String` | `getTimeString()` |
  `java.lang.String` | `getTransId()` |
  `void` | `setAction​(int action)` |
  `void` | `setContract​(Contract contract)` |
  `void` | `setId​(long id)` |
  `void` | `setLocalTime​(java.util.Date localTime)` |
  `void` | `setMessage​(java.lang.String message)` |
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setMpsId​(java.lang.String mpsId)` |
  `void` | `setNumber​(java.lang.String number)` |
  `void` | `setParameters​(java.util.Map<java.lang.String,​java.lang.Object> parameters)` |
  `void` | `setResponse​(javax.servlet.http.HttpServletResponse response)` |
  `void` | `setResult​(int result)` |
  `void` | `setSum​(java.math.BigDecimal sum)` |
  `void` | `setTime​(java.util.Date time)` |
  `void` | `setTimeString​(java.lang.String timeString)` |
  `void` | `setTransId​(java.lang.String transId)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### comment

    public java.lang.String comment

- ## Constructor Details

  - ### MPSResponse

    public MPSResponse​(int moduleId, java.lang.String mpsId, javax.servlet.http.HttpServletResponse response)

- ## Method Details

  - ### getAction

    public int getAction()

  - ### setAction

    public void setAction​(int action)

  - ### getResult

    public int getResult()

  - ### setResult

    public void setResult​(int result)

  - ### getMpsId

    public java.lang.String getMpsId()

  - ### setMpsId

    public void setMpsId​(java.lang.String mpsId)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### getMessage

    public java.lang.String getMessage()

  - ### setMessage

    public void setMessage​(java.lang.String message)

  - ### getId

    public long getId()

  - ### setId

    public void setId​(long id)

  - ### getTransId

    public java.lang.String getTransId()

  - ### setTransId

    public void setTransId​(java.lang.String transId)

  - ### getLocalTime

    public java.util.Date getLocalTime()

  - ### setLocalTime

    public void setLocalTime​(java.util.Date localTime)

  - ### getTime

    public java.util.Date getTime()

  - ### setTime

    public void setTime​(java.util.Date time)

  - ### getTimeString

    public java.lang.String getTimeString()

  - ### setTimeString

    public void setTimeString​(java.lang.String timeString)

  - ### getSum

    public java.math.BigDecimal getSum()

  - ### setSum

    public void setSum​(java.math.BigDecimal sum)

  - ### getNumber

    public java.lang.String getNumber()

  - ### setNumber

    public void setNumber​(java.lang.String number)

  - ### getContract

    public Contract getContract()

  - ### setContract

    public void setContract​(Contract contract)

  - ### getParameters

    public java.util.Map<java.lang.String,​java.lang.Object> getParameters()

  - ### setParameters

    public void setParameters​(java.util.Map<java.lang.String,​java.lang.Object> parameters)

  - ### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

  - ### setResponse

    public void setResponse​(javax.servlet.http.HttpServletResponse response)